.product-card__badge {
  padding-block: 8px;
  padding-inline: 14px;
  background-color: rgb(var(--color-base-background));
  color: rgb(var(--color-base-text));
  border: 2px solid currentColor;
}

.product-card__badge-discount {
  --color-base-text: var(--color-tag-text);
  --color-base-background: var(--color-tag-background);
}

.countdown {
  padding-block: 8px;
  padding-inline: 14px;
  color: rgb(var(--color-base-background));
  background-color: rgb(var(--color-base-text));
  border: 2px solid rgb(var(--color-base-text));
}

.countdown[expired] {
  display: none;
}

.product-card__badges:empty {
  display: none;
}
